#Importando Bibliotecas Necessárias
import pkg_resources
import pandas as pd
import plotly as pl
import plotly.express as px
import plotly.graph_objects as go
import time
import itertools
import math
import random
import matplotlib.patheffects as pe
import matplotlib as mpl
from time import sleep
from numpy import array,dot,nan,zeros,append,where,multiply
from os import system,name
import requests
import concurrent.futures
from bs4 import BeautifulSoup as bs
import datetime as dt
import numpy as np
#Importando Classes e Atribuindo Variáveis locais
#Tornando Dados Acessíveis no ambiente
def load_TABESTUDANTES():
  stream_te = pkg_resources.resource_stream(__name__, 'Dados/estudantes-pucsp.tsv')
  return pd.read_csv(stream_te,delimiter='\t',encoding='utf-8')
def load_COLUNASP():
  stream_cp = pkg_resources.resource_stream(__name__, 'Dados/Processamentos_Feitos/colunas_p.csv')
  inter=pd.read_csv(stream_cp,encoding='utf-8')
  cp=inter.set_index('matrícula')
  return cp
def load_NOTAS():
  stream_nt = pkg_resources.resource_stream(__name__, 'Dados/Processamentos_Feitos/notas_df.csv')
  inter=pd.read_csv(stream_nt,encoding='utf-8')
  nt=inter.set_index('matrícula')
  return nt
def load_Legendas():
  CURPCOD={1:"Ciência de Dados",2:"Direito",3:"Medicina",4:"História",5:"Administração",6:"Engenharia Biomédica",7:"Design",8:"Ciência da Computação",9:"Filosofia"}
  CPC={1:"Branco",2:"Preto"}
  SPC={1:"Masculino",2:"Feminino"}
  EPC={1:"Pública",2:"Privada"}
  return CURPCOD,CPC,SPC,EPC
  
TABESTUDANTES=load_TABESTUDANTES()
COLUNASP=load_COLUNASP()
NOTAS=load_NOTAS()
CURPCOD,CPC,SPS,EPC=load_Legendas()
from ProjetoNotebookAnalista import AgrupamentoCondicional
from ProjetoNotebookAnalista import ModificarDados
from ProjetoNotebookAnalista import PlotarGraficos
from ProjetoNotebookAnalista import NotasNormalizadas
from ProjetoNotebookAnalista import NovosPesos
from ProjetoNotebookAnalista import GeradorPesos
from ProjetoNotebookAnalista import TestePeso
from ProjetoNotebookAnalista import TestarPesoAPI

